

function display_optimization_summary(xrf,rf,rfsum,opt,spokes,sar,adj,system)
% function display_optimization_summary(xrf,rf,rfsum,opt,spokes,sar,adj)

ncunk=adj.nz * system.ncoils * spokes.nspokes;
[c ceq dc dceq]=fn(xrf,adj,spokes,sar,system);

% % SAR
% [lsar vopind]=max( c(1:sar.nvop,1)+sar.lsarmax );
% gsar=c(sar.nvop+1,1) + sar.gsarmax;
% disp( sprintf('The estimated local SAR for this set of pulses is %3.3e W/kg (VOP #%d)',lsar*opt.duty_cycle,vopind) );
% disp( sprintf('Global SAR for this set of pulses is %3.3e W/kg',gsar*opt.duty_cycle) );

% power
% pp=cell(opt.nslices);
% for sl=1:opt.nslices
%    pp{sl,1}=abs(rf{sl,1}).^2/(8.0*50.0); 
% end
ppsum=abs(rfsum).^2/(8.0*50.0);
for i=1:system.ncoils
    fprintf('Chn. #%d:');
%     for sl=1:opt.nslices
%         fprintf('\tav. power (slice #%d)=%f W\tmax. power (slice #%d)=%f W',sl,sum(pp{sl,1}(:,i),1)/spokes.ntimes,sl,max(pp{sl,1}(:,i)));
%     end
    fprintf('\tav. power (all slices)=%3.3f W\tmax. power (all slices)=%3.3f W\n',sum(ppsum(:,i),1)/spokes.ntimes,max(ppsum(:,i)));    
end    


