


function [f df MT]=f0_MLS(xrf,A,adj)
% function [f df MT]=f0_MLS(xrf,A,adj)

% function
ncunk=size(xrf,1)/2;
rf=xrf(1:ncunk,1) + 1j*xrf(ncunk+1:2*ncunk,1);
MT=A*rf;

% y=abs(MT).^2 - abs(adj.mtttot).^2;

y=abs(MT) - abs(adj.mtttot);  % better, avoids the phase curl problem

f=y'*y;

% gradient
% z=y.*MT;
% cdf=4.0*A'*z;

cdf=2*A'*( y.*exp(1j*angle(MT)) );

df(1:ncunk,1)=real(cdf);
df(ncunk+1:2*ncunk,1)=imag(cdf);






