

function write_and_display_bloch_simulation(MT_Bloch,opt,adj)
% function write_and_display_bloch_simulation(MT_Bloch,opt,adj)

to_disp_mag=[];
for sl=1:adj.nz
    if strcmpi(opt.display,'on')
        to_disp_mag=[ to_disp_mag MT_Bloch{sl} ];
    end
end

if strcmpi(opt.display,'on')
    figure;
    subplot(2,1,1); imagesc( real(asin(abs(to_disp_mag))/pi*180) ); colormap(hot); caxis([0 opt.tfa*1.5]); colorbar; axis image off; 
    title('Flip angle map, Bloch sim., all slices [deg.]');
    
    subplot(2,1,2); imagesc( angle(to_disp_mag) ); colormap(hot); caxis([-pi pi]); colorbar; axis image off; 
    title('Flip angle map, Bloch sim., all slices [rad.]');
end

